package com.hongyegroup.cpt_ewallet.mvvm

import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.SavedStateHandle
import com.guadou.lib_baselib.base.vm.BaseViewModel
import dagger.hilt.android.lifecycle.HiltViewModel
import kotlinx.coroutines.flow.MutableStateFlow
import javax.inject.Inject


@HiltViewModel
class BankWithdrawViewModel @Inject constructor(
    private val savedStateHandle: SavedStateHandle
) : BaseViewModel() {

    var mWithdrawMoney = MutableStateFlow("")

    var mBankCardNum = MutableStateFlow("")  //银行卡卡号
    var mSelectBankName = MutableStateFlow("")  //选中的银行名称
    var mHoldAccount = MutableLiveData<String>()  //持卡人姓名
}